use super::Pfloat;
use cgmath::{Angle, Deg, Point2, Vector2};

#[derive(Debug, Clone, Copy)]
pub struct Polar {
	pub center: Point2<Pfloat>,
	pub radius: Pfloat,
	pub angle: Deg<Pfloat>,
}

impl Polar {
	pub fn to_cartesian(self) -> Point2<Pfloat> {
		let v = Vector2 {
			x: self.radius * self.angle.sin(),
			y: self.radius * self.angle.cos(),
		};

		return self.center + v;
	}
}
