use crate::consts;

// We can draw at most this many sprites on the screen.
// TODO: compile-time option
pub const SPRITE_INSTANCE_LIMIT: u64 = 100;

// Must be small enough to fit in an i32
pub const STARFIELD_INSTANCE_LIMIT: u64 = consts::STARFIELD_COUNT * 24;

/// Texture index file name
pub const TEXTURE_INDEX_NAME: &'static str = "_index.toml";

/// Texture index dir
pub const TEXTURE_INDEX_PATH: &'static str = "./assets";

/// Shader entry points
pub const SHADER_MAIN_VERTEX: &'static str = "vertex_main";
pub const SHADER_MAIN_FRAGMENT: &'static str = "fragment_main";
